Subject: bug#10933: Acknowledgement (24.0.94; No output shown in *input/output* buffer of M-x gdb not working after first run)

From: Rolando Pereira <[email-masked]>
Date: Mon, 05 Mar 2012 00:09:55 +0000

Just a little more information about the bug that I gathered today:

1. Ending the execution of the program being debugged by calling
`gdb-io-interrupt' (C-c C-c) when the cursor is in front of the "foo: "
or "bar: " prompts stops the bug from occuring.

2. The same thing happens when you call `comint-interrupt-subjob' in the
*gud-main* buffer.

3. If I start gdb with M-x gud-gdb, everything works fine (I thought the
gud-gdb wasn't part of emacs 24, so I hadn't tested it).

I forgot to mention in the first email that I'm running gdb 7.4, but the
bug also happens with gdb 7.2